/*
  1. Use a more-intuitive box-sizing model.
*/
*, *::before, *::after {
    box-sizing: border-box;
}

/*
   2. Avoid text overflows
   3. Remove default margin
*/
* {
    overflow-wrap: break-word;
    margin: 0;
    overflow: hidden;

}

html {
    overflow-y: scroll;
    scroll-behavior: smooth;
    font-size: 62.5%;
}

/*
  Typographic tweaks!
  4. Add accessible line-height
  5. Improve text rendering
*/
:root {
    line-height: 1.5;
    -webkit-font-smoothing: antialiased;
    font-family: 'Roboto', Tahoma sans, sans-serif;
    --light-blue-bg: #98A8D7;
    --dark-blue-bg: #0079BF;
    --orange-bg: #FEC91A;
    --text-color-white: #FFF;

}

/*
  6. Improve media defaults
*/
img, picture, video, canvas, svg {
    display: block;
    max-width: 100%;
}

/*
  7. Remove built-in form typography styles
*/
input, button, textarea, select {
    font: inherit;
}

/*
  8. Create a root stacking context
*/
#root, #__next {
    isolation: isolate;
}


* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/*HOME SECTION*/

.blocks {
    display: flex;
    height: 90vh;
}

.blue-block, .navy-blue-block, .orange-block {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    color: var(--text-color-white);
    padding: 2rem;
    flex-basis: 100%;
}

.blue-block {
    background: var(--light-blue-bg) linear-gradient(to bottom, transparent, rgba(0, 0, 0, 0.15));
}

.navy-blue-block {
    background: var(--dark-blue-bg) linear-gradient(to bottom, transparent, rgba(0, 0, 0, 0.15));
}

.orange-block {
    background: var(--orange-bg) linear-gradient(to bottom, transparent, rgba(0, 0, 0, 0.15));
}

.home-section {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}

.header {
    font-size: 2.6rem;
    font-weight: 700;
    text-align: center;
    margin: 2rem 0;
    width: 100%;
}

.description {
    font-size: 1.5rem;
    font-weight: 400;
    text-align: justify;
    margin: 0 1rem;
}

.houses-image {
    height: auto;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 10;
    transition: transform 0.1s ease-out;
    pointer-events: none;
    filter: drop-shadow(0px 15px 15px rgba(0, 0, 0, 0.4));
}

.navigation-section {
    display: flex;
    justify-content: space-around;
    align-items: center;
    height: 9vh;
    box-shadow: 10px 10px 10px 0 rgba(0, 0, 0, 0.2);
    padding: 0 4rem;
    background-color: white;
    position: relative;
}

.nav-line {
    width: 0.4rem;
    background-color: var(--dark-blue-bg);
    margin-right: 1.5rem;
    height: 100%;
}

.nav-text {
    background-color: white;
    color: #0079BF;
    font-weight: bold;
    width: auto;
    text-decoration: none;
    transition: transform 0.3s ease;
    font-size: 1.8rem;
}

.nav-text:hover {
    transform: scale(1.2);

}

/*VIDEO SECTION*/
.video-section .header {
    color: var(--dark-blue-bg);
}

.video-section {
    padding: 5rem;
    display: flex;
    flex-direction: column;
    background-color: var(--text-color-white);
}

.video-container {
    display: flex;
    width: 100%;
    justify-content: space-around;
}

.video-display {
    display: flex;
    flex-direction: column;
    width: 70vw;
}

.video-specialist {
    font-size: 1.6rem;
    width: 25vw;
    margin: 0 auto 0 1.5rem;
    color: black;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.video-specialist .header {
    color: var(--text-color-white);
}

.header-accordion {
    width: 100%;
    background-color: #e1e1e1;
    color: var(--dark-blue-bg);
    padding: 1rem 2rem;
    font-size: 1.8rem;
    justify-content: space-between;
    text-align: center;
    font-weight: 700;
}

.accordion {
    width: 100%;
    background-color: #f1f1f1;
    color: #444;
    cursor: pointer;
    padding: 2rem 3rem;
    font-size: 1.8rem;
    text-align: left;
    outline: none;
    border: none;
    border-bottom: 3px solid var(--dark-blue-bg);
    display: flex;
    justify-content: space-between;
    align-items: center;
    transition: background-color 0.3s;
}

.accordion:nth-of-type(3) {
    border: none;
}


.accordion:hover {
    background-color: #ddd;
}

.panel {
    width: 100%;
    display: block;
    overflow: hidden;
    background-color: #f9f9f9;
    padding: 0 2rem;
    box-sizing: border-box;
    transition: max-height 0.8s ease-out;
    max-height: 0;
}

.panel.active {
    display: block;
    max-height: 500px;
    transition: max-height 0.7s ease-in;
}

.description {
    padding: 1rem 0;
}

.description img {
    width: 6vw;
    padding-right: 0.5rem;
}

.video-description {
    margin-top: 1rem;
    text-align: justify;
    text-justify: inter-word;
    background-color: var(--dark-blue-bg);
    color: var(--text-color-white);
    padding: 2rem;
    font-size: 1rem;
}

/*MOCKUP SECTION*/

.mockup-section {
    padding: 0.5rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: var(--orange-bg);
}

.mockup-section, .header {
    color: var(--text-color-white);
}

.help-description-mockup {
    font-size: 1.6rem;
    color: var(--dark-blue-bg);
    text-align: center;
}

.mockup-text-container {
    display: flex;
    justify-content: space-between;
    margin-top: 1rem;
}

.app-data-text {
    background-color: var(--light-blue-bg);
    color: var(--text-color-white);
    margin: 2rem;
    padding: 2.6rem;
    font-size: 1.6rem;
    width: 30vw;
    border-radius: 3rem;
    flex-basis: 100%;
    text-align: justify;
    box-shadow: 10px 10px 10px 0 rgba(0, 0, 0, 0.2);
}

.future {
    background-image: url("space-gif.gif");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    overflow: hidden;
    opacity: 1;
}

.orange {
    color: var(--orange-bg);
    font-weight: bold;
}


/*AI SECTION*/

.ai-section {
    position: relative;
    padding: 5rem 25rem;
    color: black;
    background-color: var(--text-color-white);
    z-index: 1;
    overflow: hidden;
    display: flex;
    flex-direction: column;
}

#matrix-background {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
    z-index: -1;
    overflow: hidden;
}

#matrix-background div {
    position: absolute;
    color: var(--light-blue-bg);
    font-family: monospace;
    font-size: 16px;
    white-space: nowrap;
    opacity: 0.6;
}

.ai-section .header {
    color: black;
}

.ai-explain-container {
    background-color: var(--light-blue-bg);
    font-size: 1.4rem;
    border-radius: 2rem;
    padding: 2rem;
    box-shadow: 0 7px 20px 20px rgba(0, 0, 0, 0.1);
    align-items: center;
}

.dialogue-container {
    display: flex;
    flex-basis: 100%;
    justify-content: space-around;
    align-items: center;
    box-shadow: 0 7px 20px 20px rgba(0, 0, 0, 0.1);
    padding: 6rem;
    border-radius: 5rem;
    margin-top: 3rem;
    background-color: var(--text-color-white);
}

.window-container {
    width: 25vw;
    height: 32vw;
    border-radius: 3rem;
    border: 10px solid lightgray;
    background-color: white;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    margin: 0 2rem 2rem 0;
}

.dialogue-arrow {
    font-size: 6vw;
    color: var(--light-blue-bg);
}

@keyframes pulse {
    0% {
        transform: scale(1);
        opacity: 1;
    }
    50% {
        transform: scale(1.2);
        opacity: 0.7;
    }
    100% {
        transform: scale(1);
        opacity: 1;
    }
}

.dialogue-nav-arrow {
    font-size: 5rem;
    color: darkgray;
    cursor: pointer;
    transition: transform 0.3s ease;
}

.dialogue-nav-arrow:hover {
    transform: scale(1.2);

}

.help-description {
    font-size: 1.6rem;
    color: darkgray;
    text-align: center;
    margin: 0 auto;
}

.window-nav {
    display: flex;
    justify-content: space-between;
    padding: 1rem;
    background-color: lightgray;
    align-items: center;
}

.chat-name {
    margin-left: 1rem;
    font-size: 1.2rem;
    font-weight: bold;
}

.chat-nav {
    font-size: 1.6rem;
}

.window-chat {
    overflow: hidden;
    overflow-y: scroll;
    transition: opacity 0.3s ease-in-out;
}


.window-chat::-webkit-scrollbar {
    display: block;
}

.window-chat::-webkit-scrollbar-thumb {
    background: var(--light-blue-bg);
}

.window-chat img {
    width: 100%;
}

.window-footer {
    display: flex;
    padding: 2rem;
    background-color: lightgray;
    align-items: center;
}

.window-footer ion-icon {
    margin: 0 0.7rem;
    font-size: 2.4rem;
}

.brief-data li {
    margin-left: 1.6rem;
}

.input-text {
    width: 100%;
    background-color: #ddd;
    border-radius: 2rem;
    height: 3vh;
    padding: 0.5rem;
    margin: 0.5rem;
}

.dialogue-brief {
    display: flex;
    font-size: 1.2rem;
    flex-direction: column;
    width: 25vw;
    background-color: lightgray;
    padding: 2rem;
    height: 32vw;
    border-radius: 3rem;
    margin-bottom: 2rem;
}

.brief-text-container {
    background-color: var(--light-blue-bg);
    border-radius: 2rem;
    padding: 1rem;
    margin-bottom: 1rem;
}

.brief-text {
    overflow: hidden;
    overflow-y: scroll;
}


.brief-header {
    font-size: 1.4rem;
    font-weight: bold;
}

.first {
    text-align: center;
    margin-bottom: 1rem;
}

.brief-data a {
    color: var(--orange-bg);
    font-weight: bold;
}

.carousel-nav {
    display: flex;
    justify-content: center;
    margin-top: 2rem;
}

.budget-container {
    width: 20vw;
    height: 50vh;
    display: flex;
    flex-direction: column;
}

.budget-container img {
    width: 14vw;
    margin: 0 auto;
}

.budget-plan {
    font-size: 1.8rem;
    margin-top: 5vh;
    text-align: center;
}

.budget-plan .bold {
    font-weight: 700;
}

.budget-section {
    background-color: var(--dark-blue-bg);
    color: black;
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    padding: 5rem;
    justify-content: space-between;
}

.maincontainer {
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
    cursor: pointer;
    transition: all 0.3s ease-in-out;
    border-radius: 3rem;
}

.front, .back {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    padding: 2rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    backface-visibility: hidden;
    transition: opacity 0.4s ease-in-out;
}

.front {
    background-color: #fff;
    z-index: 2;
}

.back {
    background-color: #f9f9f9;
    z-index: 1;
    opacity: 0;
    pointer-events: none;
}


.maincontainer:hover .back {
    opacity: 1;
    z-index: 2;
    pointer-events: all;
}

.maincontainer:hover .front {
    opacity: 0;
    z-index: 1;
    pointer-events: none;
}

.budget-info-container {
    display: flex;
    gap: 5vw;
    min-height: 55vh;
    justify-content: space-evenly;
}

.info-graphics {
    font-size: 0.9rem;
    margin: 0 0 0 auto;
}

.info-graphics a {
    text-decoration: none;
}

.info-text {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
}

/*ABOUT US SECTION*/

.about-us-section {
    display: flex;
    flex-direction: column;
    padding: 50px;
}

.about-us-container {
    display: flex;
    justify-content: space-around;
    flex-basis: 100%;
}

.about-us-section .header {
    color: black;
}

.about-us-section img {
    height: 20vh;
    border-radius: 30rem;
}

.about-us-section a {
    color: var(--dark-blue-bg);
    font-weight: 700;
    text-decoration: none;
}

.about-us-section a:hover {
    color: var(--light-blue-bg);
}

.iza-container, .madzia-container, .together-container {
    width: auto;
}

.iza-container, .madzia-container {
    background-color: var(--orange-bg);
    padding: 1rem;
    box-shadow: 0px 9px 10px 0 rgba(0, 0, 0, 0.2);
    position: relative;
    margin: 2rem;
    border-radius: 3rem;
    height: auto;
}

.id-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.name {
    font-size: 3rem;
    font-weight: 700;
}

.together-container {
    background-color: var(--text-color-white);
    margin: auto 0;
    padding: 2rem;
    font-size: 1.6rem;
    text-align: justify;
}

.client-text {
    color: var(--dark-blue-bg);
    font-weight: 700;
}

.about-us-description {
    margin: 2rem;
    font-size: 1.3rem;
    text-align: justify;
}

.info-page {
    font-weight: 700;
    font-size: 1.8rem;
}

footer {
    background-color: var(--dark-blue-bg);
    color: var(--text-color-white);
    text-align: center;
    padding: 1rem 0;
    margin-top: 2rem;
    font-size: 1.8rem;
}

footer p {
    margin: 0;
}

@media (max-width: 1600px) {
    .description {
        font-size: 12px;
    }

}

@media (min-width: 1700px) {
    .houses-image {
        width: 96%;
    }
}

@media (max-width: 1600px) {
    .maincontainer .back {
        font-size: 12px;
    }
}

@media (min-width: 1800px) {
    .budget-plan {
        font-size: 24px;
    }


}

@media (min-width: 2000px) {
    .budget-plan {
        font-size: 30px;
    }
}

/* Duże ekrany (np. monitory powyżej 1440px) */
@media (min-width: 1441px) and (max-width: 1920px) {
    html {
        font-size: 68.75%; /* 1rem = 11px */
    }
}


@media (min-width: 1921px) {
    html {
        font-size: 75%; /* 1rem = 12px */
    }

    .video-description {
        font-size: 1.3rem;
    }
}


#mobile-warning {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--orange-bg);
    color: var(--dark-blue-bg);
    font-size: 1.8rem;
    font-weight: bold;
    align-items: center;
    justify-content: center;
    text-align: center;
    z-index: 9999;
    padding: 2rem;
    box-sizing: border-box;
}


@media (max-width: 768px) {
    #mobile-warning {
        display: flex;
    }

    body {
        overflow: hidden;
    }
}